<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: SituationsList Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_situations_list.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_situations_list-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">SituationsList Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SituationsList:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_situations_list.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a98a8ea611b889eeecff3fbb477ad424d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a98a8ea611b889eeecff3fbb477ad424d">AddSituationUI</a> (string situationName, bool bSelectSituation, bool bSetDefault=false, bool createVivianState=false)</td></tr>
<tr class="memdesc:a98a8ea611b889eeecff3fbb477ad424d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new situation to the situation list.  <a href="class_situations_list.html#a98a8ea611b889eeecff3fbb477ad424d">More...</a><br /></td></tr>
<tr class="separator:a98a8ea611b889eeecff3fbb477ad424d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f87dfeacc229b7562b1c39f2b64eef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a68f87dfeacc229b7562b1c39f2b64eef">RegisterCallbackOnSituationCreation</a> (Action callback, bool triggerOnce)</td></tr>
<tr class="memdesc:a68f87dfeacc229b7562b1c39f2b64eef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Registers the provided callback when a new situation is created.  <a href="class_situations_list.html#a68f87dfeacc229b7562b1c39f2b64eef">More...</a><br /></td></tr>
<tr class="separator:a68f87dfeacc229b7562b1c39f2b64eef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae81238927716f6041142f3f46a60d1e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#ae81238927716f6041142f3f46a60d1e4">RemoveAllSituationsUI</a> ()</td></tr>
<tr class="memdesc:ae81238927716f6041142f3f46a60d1e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets the situation list visually.  <a href="class_situations_list.html#ae81238927716f6041142f3f46a60d1e4">More...</a><br /></td></tr>
<tr class="separator:ae81238927716f6041142f3f46a60d1e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d97d89d55558170b29cdebf88466042"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a3d97d89d55558170b29cdebf88466042">Animate</a> (bool bShow)</td></tr>
<tr class="memdesc:a3d97d89d55558170b29cdebf88466042"><td class="mdescLeft">&#160;</td><td class="mdescRight">Animation method to show/hide the list in AR mode.  <a href="class_situations_list.html#a3d97d89d55558170b29cdebf88466042">More...</a><br /></td></tr>
<tr class="separator:a3d97d89d55558170b29cdebf88466042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e61b5fa53ba6cac5267b8502059bbad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a6e61b5fa53ba6cac5267b8502059bbad">Animate</a> ()</td></tr>
<tr class="memdesc:a6e61b5fa53ba6cac5267b8502059bbad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Animation method to show/hide the list in AR mode.  <a href="class_situations_list.html#a6e61b5fa53ba6cac5267b8502059bbad">More...</a><br /></td></tr>
<tr class="separator:a6e61b5fa53ba6cac5267b8502059bbad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0c824ac7db1e2c74c9eda7c65dd02d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a3c0c824ac7db1e2c74c9eda7c65dd02d">AddTimeBasedTransition</a> (PointerDownEvent evt, object situationName)</td></tr>
<tr class="memdesc:a3c0c824ac7db1e2c74c9eda7c65dd02d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens the time-based transition creation modal.  <a href="class_situations_list.html#a3c0c824ac7db1e2c74c9eda7c65dd02d">More...</a><br /></td></tr>
<tr class="separator:a3c0c824ac7db1e2c74c9eda7c65dd02d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3a824472c1421a715e573529d48d3f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#aa3a824472c1421a715e573529d48d3f2">MakeDefaultSituation</a> (PointerDownEvent evt, object situationName)</td></tr>
<tr class="memdesc:aa3a824472c1421a715e573529d48d3f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes the selected situation as default.  <a href="class_situations_list.html#aa3a824472c1421a715e573529d48d3f2">More...</a><br /></td></tr>
<tr class="separator:aa3a824472c1421a715e573529d48d3f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20be46f03502e5407e81b7120fdabbdc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a20be46f03502e5407e81b7120fdabbdc">RenameSituation</a> (PointerDownEvent evt, object situationName)</td></tr>
<tr class="memdesc:a20be46f03502e5407e81b7120fdabbdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes the current situation renamable.  <a href="class_situations_list.html#a20be46f03502e5407e81b7120fdabbdc">More...</a><br /></td></tr>
<tr class="separator:a20be46f03502e5407e81b7120fdabbdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80272e8d266d7a6186200bccd86394fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_situations_list.html#a80272e8d266d7a6186200bccd86394fb">DeleteSituation</a> (PointerDownEvent evt, object situationName)</td></tr>
<tr class="memdesc:a80272e8d266d7a6186200bccd86394fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes the selected situation.  <a href="class_situations_list.html#a80272e8d266d7a6186200bccd86394fb">More...</a><br /></td></tr>
<tr class="separator:a80272e8d266d7a6186200bccd86394fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a40fcd839d21eff26bf1081acb1738ed6"><td class="memItemLeft" align="right" valign="top"><a id="a40fcd839d21eff26bf1081acb1738ed6" name="a40fcd839d21eff26bf1081acb1738ed6"></a>
List&lt; <a class="el" href="struct_contextual_menu_entries.html">ContextualMenuEntries</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>contextualMenuEntries</b></td></tr>
<tr class="separator:a40fcd839d21eff26bf1081acb1738ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a98a8ea611b889eeecff3fbb477ad424d" name="a98a8ea611b889eeecff3fbb477ad424d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a8ea611b889eeecff3fbb477ad424d">&#9670;&nbsp;</a></span>AddSituationUI()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.AddSituationUI </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>situationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bSelectSituation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bSetDefault</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>createVivianState</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a new situation to the situation list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">situationName</td><td>Name of the situation.</td></tr>
    <tr><td class="paramname">bSelectSituation</td><td>True if the situation should be visually selected.</td></tr>
    <tr><td class="paramname">bSetDefault</td><td>True to set the situation as start situation.</td></tr>
    <tr><td class="paramname">createVivianState</td><td>True to create a Vivian state with the situation.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3c0c824ac7db1e2c74c9eda7c65dd02d" name="a3c0c824ac7db1e2c74c9eda7c65dd02d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c0c824ac7db1e2c74c9eda7c65dd02d">&#9670;&nbsp;</a></span>AddTimeBasedTransition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.AddTimeBasedTransition </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>situationName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Opens the time-based transition creation modal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Contextual <a class="el" href="class_menu.html">Menu</a> pointer event (nullable)</td></tr>
    <tr><td class="paramname">situationName</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">NotImplementedException</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6e61b5fa53ba6cac5267b8502059bbad" name="a6e61b5fa53ba6cac5267b8502059bbad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e61b5fa53ba6cac5267b8502059bbad">&#9670;&nbsp;</a></span>Animate() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.Animate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Animation method to show/hide the list in AR mode. </p>

</div>
</div>
<a id="a3d97d89d55558170b29cdebf88466042" name="a3d97d89d55558170b29cdebf88466042"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d97d89d55558170b29cdebf88466042">&#9670;&nbsp;</a></span>Animate() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.Animate </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bShow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Animation method to show/hide the list in AR mode. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bShow</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a80272e8d266d7a6186200bccd86394fb" name="a80272e8d266d7a6186200bccd86394fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80272e8d266d7a6186200bccd86394fb">&#9670;&nbsp;</a></span>DeleteSituation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.DeleteSituation </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>situationName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deletes the selected situation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Contextual <a class="el" href="class_menu.html">Menu</a> pointer event (nullable)</td></tr>
    <tr><td class="paramname">situationName</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa3a824472c1421a715e573529d48d3f2" name="aa3a824472c1421a715e573529d48d3f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3a824472c1421a715e573529d48d3f2">&#9670;&nbsp;</a></span>MakeDefaultSituation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.MakeDefaultSituation </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>situationName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Makes the selected situation as default. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Contextual <a class="el" href="class_menu.html">Menu</a> pointer event (nullable)</td></tr>
    <tr><td class="paramname">situationName</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a68f87dfeacc229b7562b1c39f2b64eef" name="a68f87dfeacc229b7562b1c39f2b64eef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68f87dfeacc229b7562b1c39f2b64eef">&#9670;&nbsp;</a></span>RegisterCallbackOnSituationCreation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.RegisterCallbackOnSituationCreation </td>
          <td>(</td>
          <td class="paramtype">Action&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>triggerOnce</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Registers the provided callback when a new situation is created. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">callback</td><td>Callback to register.</td></tr>
    <tr><td class="paramname">triggerOnce</td><td>True if the callback should only be fired once.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae81238927716f6041142f3f46a60d1e4" name="ae81238927716f6041142f3f46a60d1e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae81238927716f6041142f3f46a60d1e4">&#9670;&nbsp;</a></span>RemoveAllSituationsUI()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.RemoveAllSituationsUI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Resets the situation list visually. </p>

</div>
</div>
<a id="a20be46f03502e5407e81b7120fdabbdc" name="a20be46f03502e5407e81b7120fdabbdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20be46f03502e5407e81b7120fdabbdc">&#9670;&nbsp;</a></span>RenameSituation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SituationsList.RenameSituation </td>
          <td>(</td>
          <td class="paramtype">PointerDownEvent&#160;</td>
          <td class="paramname"><em>evt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>situationName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Makes the current situation renamable. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">evt</td><td>Contextual <a class="el" href="class_menu.html">Menu</a> pointer event (nullable)</td></tr>
    <tr><td class="paramname">situationName</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_situations_list_8cs.html">SituationsList.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_situations_list.html">SituationsList</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
